Charges
1 endpoint. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.
Every request needs payments-api-key and payments-account.
/v1/charges/{id}Get a Charge
Retrieves the details of an existing Charge.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200Charge
amount_authorizednumberrequiredAmount (in the smallest currency unit) originally authorized. Fixed at creation — does not include later increases from incremental authorizations (see
amount_incremented). The charge's current authorization hold isamount_authorized + amount_incremented.amount_capturednumberrequiredAmount (in the smallest currency unit) captured. Can be greater/less than the
amounton the PaymentIntent if a partial/over capture was made. Includes anysurcharge_amount.amount_incrementednumberrequiredAmount (in the smallest currency unit) by which the authorization hold on this charge has been raised via incremental authorizations (e.g. overcapture on card-not-present transactions).
amount_refundednumberrequiredAmount (in the smallest currency unit) refunded. Can be less than the
amounton the PaymentIntent if a partial refund was made. Includes any surcharge refunded.authorized_atstring date-timeoptionalTime at which the charge was authorized.
balance_transactionBalanceTransactionoptionalThe balance transaction that describes the impact of this charge on your account balance (not including refunds or disputes). Note: Multiple balance transactions may be associated with this resource and you can fetch them all with
/balance-transactions?source_id={id}.capturedbooleanrequiredIf the charge was created without capturing, this Boolean represents whether it is still uncaptured or has since been captured.
captured_atstring date-timeoptionalTime at which the charge was captured.
created_atstring date-timerequiredTime at which the object was created.
detailsobjectoptionalAVS and CVS checks and other payment details.
failed_atstring date-timeoptionalTime at which the charge failed.
failure_codestring (partial_authorization | account_closed | account_frozen | account_number_invalid | authorization_revoked | avs_check_failed | bank_account_blocked | call_issuer | …)optionalError code explaining reason for charge failure.
failure_messagestringoptionalMessage to user further explaining the reason for the charge failure.
idstringrequiredUnique identifier for the object.
next_stepsstringoptionalMessage to user explaining how to remedy a failure.
payment_intent_idstringrequiredThe ID of the PaymentIntent associated with this charge.
payment_method_idstringrequiredThe id of the PaymentMethod at the time of the transaction.
platform_feePlatformFeeoptionalThe platform fee (if any) for the charge.
refundedbooleanrequiredWhether the charge has been fully refunded. If the charge is only partially refunded, this attribute will be false.
refundsarray of RefundrequiredA list of refunds that have been applied to the charge.
source_transaction_idstringoptionalsource_typestring (external)optionalIndicates whether the transaction was external.
statusstring (succeeded | pending | failed)requiredThe status of the payment.
surcharge_amountnumberrequiredAmount (in the smallest currency unit) of the surcharge applied to the charge.
tip_amountnumberoptionalPortion of the amount that is a tip/gratuity (if any).
updated_atstring date-timerequiredTime at which the object was updated.
